<?php get_header();?>
<div id="container">
		
			<?php do_action( 'template_notices' ) // (error/success feedback) ?>
		
		<?php if ( bp_has_groups() ) : while ( bp_groups() ) : bp_the_group(); ?>

			<?php do_action( 'bp_before_group_content' ) ?>
			<?php locate_template(array("group-blog-header.php"),true);?>

					<div class="bp-widget box">
					<div class="box-content">
					<div id="profile-name">
							<h1 class="fn"><a href="<?php bp_group_permalink() ?>" title="<?php bp_group_name() ?>"><?php bp_group_name() ?></a> &raquo;<?php _e("Blog","buddypress");?> &raquo; <?php _e( 'Recent Posts', 'buddypress' ); ?> </h1>
															
					</div>
						
					<div class="page" id="blog-latest">
	
				<?php if ( have_posts() ) : ?>
	
					<?php while (have_posts()) : the_post(); ?>
	
						<?php do_action( 'bp_before_blog_post' ) ?>
	
						<div class="post" id="post-<?php the_ID(); ?>">
	
							
	
							<div class="post-content">
							<div class="author-box">
								<?php echo get_avatar( get_the_author_meta( 'user_email' ), '50' ); ?>
								<div class="clear"></div>
								<p><?php printf( __( 'by %s', 'buddypress' ), bp_core_get_userlink( $post->post_author ) ) ?></p>
							</div>
								<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'buddypress' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
								
								<p class="date"><?php the_time('F j, Y') ?> <em><?php _e( 'in', 'buddypress' ) ?> <?php the_category(', ') ?> <?php printf( __( 'by %s', 'buddypress' ), bp_core_get_userlink( $post->post_author ) ) ?></em></p>
	
								<div class="entry">
									<?php the_content( __( 'Read the rest of this entry &rarr;', 'buddypress' ) ); ?>
								</div>
								<div class="clear"></div>
								<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'buddypress' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'buddypress' ), __( '1 Comment &#187;', 'buddypress' ), __( '% Comments &#187;', 'buddypress' ) ); ?></span>
								<br class="clear" />
								</p>
						
							</div>
	
						</div>
	
						<?php do_action( 'bp_after_blog_post' ) ?>
	
					<?php endwhile; ?>
	
					<div class="navigation">
	
						<div class="alignleft"><?php next_posts_link( __( '&larr; Previous Entries', 'buddypress' ) ) ?></div>
						<div class="alignright"><?php previous_posts_link( __( 'Next Entries &rarr;', 'buddypress' ) ) ?></div>
	
					</div>
	
				<?php else : ?>
	
					<h2 class="center"><?php _e( 'Not Found', 'buddypress' ) ?></h2>
					<p class="center"><?php _e( 'Sorry, but you are looking for something that isn\'t here.', 'buddypress' ) ?></p>
	
					<?php locate_template( array( 'searchform.php' ), true ) ?>
	
				<?php endif; ?>
			</div>
						</div>
					</div>
		


				</div><!-- end of center column -->
		 <?php // locate_template( array( 'right-sidebar.php' ), true ) ?>
			

			<?php do_action( 'bp_after_group_content' ) ?>

		<?php endwhile; else: ?>

			<div id="message" class="error">
				<p><?php _e("Sorry, the group does not exist.", "buddypress"); ?></p>
			</div>

		<?php endif;?>
			<br class="clear" />
        </div>
        <!--end of container -->
       <?php get_footer();?>